### Method

# GIRepository ArgInfo get_scope

since: 2.80

#### Declaration [src]

    GIScopeType
    gi_arg_info_get_scope (
      GIArgInfo* info
    )

#### Description [src]

Obtain the scope type for this argument.

The scope type explains how a callback is going to be invoked, most importantly when the resources required to invoke it can be freed.

`GIScopeType` contains a list of possible values.

Available since: 2.80

#### Return value

Type: `GIScopeType`

The scope type.